Bug 42713 - i810 crashes on start of a second X server
i810 crashes on start of a second X server
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-29 11:29 EDT by Michele Baldessari
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-12 00:59:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
startx > i810.log 2>&1 (7.00 KB, text/plain)
2001-05-30 12:39 EDT, Michele Baldessari
no flags Details

  None (edit)
Description Michele Baldessari 2001-05-29 11:29:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.5 i686)

Description of problem:
launching startx -- :1 makes the Xserver crash

How reproducible:
Always

Steps to Reproduce:
1. startx -- :1
2.
3.
	

Actual Results:  The existing X server still exists as a process but isn't
usable, and the second one crashes as soon as it tries to start

Additional info:
Comment 1 Michele Baldessari 2001-05-30 12:39:56 EDT
Created attachment 19970 [details]
startx > i810.log 2>&1
Comment 2 Michele Baldessari 2001-05-30 12:44:12 EDT
The attachment above (19970) was created with :
startx -- :1 >i810.log 2>&1
Comment 3 Mike A. Harris 2001-06-12 00:59:13 EDT
The missing symbol errors in the i810 driver are fixed in release
XFree86-4.0.3-21 (not yet built, but will be soon).
You cannot run multiple X servers with DRI enabled on each I do not
believe.  If you disable DRI by commenting out the lines in the 
config file that load DRI, does the problem go away?
Comment 4 Mike A. Harris 2001-06-18 13:15:03 EDT
The i810 driver does not support running 2 servers on separate VC's
simultaneously.

Note You need to log in before you can comment on or make changes to this bug.